################################################################################
# web
################################################################################
kind: pipeline
type: docker
name: (admin Panel) build form and push to artifactory

steps:
  - name: tag
    image: alpine/git:2.40.1
    environment:
      GOOS: linux
      GOARCH: amd64
      CGO_ENABLED: 0
    settings:
      debug: true
    commands:
      - APP_VERSION=$(git rev-list HEAD --count --no-merges)-$DRONE_BRANCH
      - echo "APP Version tags $APP_VERSION"
      - echo -n "$APP_VERSION" >> .tags

  - name: build panel
    image: plugins/docker
    settings:
      #   build_args:
      #     - BUILD_APP=scraper
      username: cicd
      password:
        from_secret: REGISTRY_PASSWORD
      # dockerfile: Dockerfile-drone
      repo: artifactory.ravanertebat.ir/tm/admin_panel
      registry: artifactory.ravanertebat.ir

node:
  tag: aecde-docker-runner
trigger:
  branch:
    - main
    - develop
  event:
    - custom
